GET
/admins/{username}Get admin by username
Returns the admin with the given username if it exists. For security reasons, the hashed password is omitted from the response
usernamestringrequired
the admin username
200successful operation
additional_infostringoptional
Free form text field
created_atintegeroptional
creation time as unix timestamp in milliseconds. It will be 0 for admins created before v2.2.0
descriptionstringoptional
optional description, for example the admin full name
emailstringoptional
filtersobjectoptional
groupsarray<object>optional
Groups automatically selected for new users created by this admin. The admin will still be able to choose different groups. These settings are only used for this admin UI and they will be ignored in REST API/hooks.
idintegeroptional
last_loginintegeroptional
Last user login as unix timestamp in milliseconds. It is saved at most once every 10 minutes
passwordstringoptional
Admin password. For security reasons this field is omitted when you search/get admins
permissionsarray<string>optional
rolestringoptional
Role name. The admin administers the users carrying the same role, and holds any permission except `*`. Where the role isolates its resources, the groups and the folders carrying it are the ones the admin reads, and the server applies the role to the resources it creates
statusintegeroptional
status:
* `0` user is disabled, login is not allowed
* `1` user is enabled
updated_atintegeroptional
last update time as unix timestamp in milliseconds
usernamestringoptional
username is unique
400Bad Request
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Unauthorized
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Forbidden
errorstringoptional
error description if any
messagestringoptional
message, can be empty
404Not Found
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Internal Server Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
A 400 is returned: Bad Request. A 401 is returned: Unauthorized. A 403 is returned: Forbidden. A 404 is returned: Not Found. A 500 is returned: Internal Server Error. Any other status is an error: Unexpected Error.